#
# spec file for package seahorse
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           seahorse
Version:        3.5.92
Release:        0
Summary:        GNOME interface for gnupg
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://projects.gnome.org/seahorse/
Source:         http://download.gnome.org/sources/seahorse/3.5/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gpg2
BuildRequires:  gpgme-devel
BuildRequires:  intltool
BuildRequires:  openldap2-devel
BuildRequires:  openssh
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(gck-1) >= 3.3.4
BuildRequires:  pkgconfig(gcr-3) >= 3.3.4
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsecret-unstable) >= 0.5
BuildRequires:  pkgconfig(libsoup-2.4)
Recommends:     %{name}-lang
Obsoletes:      %{name}-devel < %{version}
# We dropped seahorse-plugins in 12.1
Obsoletes:      seahorse-plugins <= 2.30.1.git.20110502
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Seahorse is a GNOME interface for gnupg. It uses gpgme as the backend.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --disable-scrollkeeper
make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%{__rm} -f %{buildroot}%{_libdir}/*.*a
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes $RPM_BUILD_ROOT

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.pre-auto NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/seahorse
%{_libdir}/seahorse/
%{_datadir}/applications/seahorse.desktop
%{_datadir}/GConf/gsettings/org.gnome.seahorse.convert
%{_datadir}/GConf/gsettings/org.gnome.seahorse.manager.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.manager.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.window.gschema.xml
%{_datadir}/icons/hicolor/*/*/seahorse.png
%{_datadir}/icons/hicolor/*/*/seahorse-preferences.png
%{_datadir}/seahorse/
%{_mandir}/man1/seahorse.1.*

%files lang -f %{name}.lang

%changelog
